clear all
close all
clc

addpath C:\dynare\4.4.3\matlab
dynare_config;

path_string = pwd;
warning off;
dirname = CreateTimeString;
strdir = ['output_mh\' dirname];
mkdir(strdir);


eval(['copyfile(''rbc_sim.mod'',[path_string  ''/'' strdir]);' ]);

sim_str  ={'zro','sml','med','big'};

for jj = 1:4
    %     eval(['dynare rbc_est_' sim_str(jj,:)])
    eval(['copyfile(''rbc_est_'  sim_str{jj} '.mod'',[path_string  ''/'' strdir]);' ]);    
end


cd([path_string  '/' strdir])
eval(['dynare rbc_sim.mod noclearall'])

for jj = 1:4
    eval(['dynare rbc_est_' sim_str{jj} ' savemacro noclearall'])    
end

cd([path_string])