randn('state',999);
rand('state',999);

% if (centered == 0)
%    HH(end, end) = HH(1, 1); 
% end
vSwitch = ones(2, 1);
% step for the Metropolis-Hastings
VV              = c * chol(HH);
% inital vlaue for the MH
Npara           = size(postmode, 2); 
theta           = postmode + 0.01*randn(1,Npara);
postkernel      = -1 * logpostkernel(theta, centered, y, vSwitch, iPriorScale);
acc             = 0;
jj              = 0;
theta_post = zeros((n_mh - n_burn)/n_skip, Npara, n_chain);
for chain = 1 : n_chain
    wb  = waitbar(0,'1','Name',['Metropolis-Hastings chain '  num2str(chain)]);
    for mh = 1 : n_mh
        % Markov Chain step
        theta_dag     = (theta' + VV * randn(Npara,1))';
        postkernelnew = -1 * logpostkernel(theta_dag, centered, y, vSwitch, iPriorScale);
        % Montecarlo step 
        R   = exp(postkernelnew - postkernel);
        if R > rand,
            postkernel     = postkernelnew;       
            theta          = theta_dag;
            acc            = acc + 1;
        end
        % ----------------- Switch the sign ----------------%
        if centered == 0
            vSwitch(1) = -1 + 2 * round(rand(1, 1));
            theta(3) = theta(3)* vSwitch(1);
        end
        %(mh > n_burn && mod(mh, n_skip)==0);
        if (mh > n_burn && mod(mh, n_skip)==0);
            jj = 1 +jj;
            theta_post(jj, :, chain) = theta;       
        end;  
       % end storing results    
        accrate   = acc/mh*100;
        waitbar(mh/n_mh,wb,sprintf('%12.1f', accrate))
    end
    delete(wb)
end
dsge_alldraws.theta_post = theta_post;
dsge_alldraws.accrate    = accrate;
dsge_alldraws.theta_mode = postmode;
dsge_alldraws.theta_HH   = HH;
dsge_alldraws.centered   = centered; 