function [sigmadag,sigma,pihat] = sigmastar_sample(gt,vt,mu,iPriorScale,Omega)

T = length(gt);
temp = kron(inv(Omega^2),eye(T));
temp2 = iPriorScale^(-2);

tauhat2 = inv( temp2 + gt' * temp * gt);
tauhat  = sqrt(tauhat2);
muhat   = tauhat2 * ( mu*temp2 + gt' * temp * vt );

R1 = normcdf(muhat / tauhat) / normcdf(- mu/iPriorScale );
R2 = tauhat / iPriorScale;

psihat  = R1 * R2 * exp (0.5* ( (muhat / tauhat)^2  - ( mu/iPriorScale )^2 ) ) ;

pihat = 1/(1+psihat);

U =rand;

if pihat > U    
    sigmadag = randn_trunc_zero( mu, iPriorScale, 0, 1);
    sigma   = 0.0000001;
else
    sigmadag = randn_trunc_zero( muhat, tauhat, 1, 1); 
    sigma   = sigmadag;
end

end


