clear all
close all
clc

addpath C:\dynare\4.4.3\matlab
dynare_config;

path_string = pwd;
warning off;
dirname = CreateTimeString;
strdir = ['output_decomp\' dirname];
mkdir(strdir);


eval(['copyfile(''rbc_sim.mod'',[path_string  ''/'' strdir]);' ]);

% sim_str  ={'zro','sml','med','big'};
sim_str  ={'zro'}; 

for jj = 1:1
    %     eval(['dynare rbc_est_' sim_str(jj,:)])
    eval(['copyfile(''rbc_est_'  sim_str{jj} '.mod'',[path_string  ''/'' strdir]);' ]);    
end


cd([path_string  '/' strdir])
eval(['dynare rbc_sim.mod noclearall'])

for jj = 1:1
    eval(['dynare rbc_est_' sim_str{jj} ' savemacro noclearall'])    
end

cd([path_string])
%%
Tstr  = '100';
for jj = 1:1
    eval(['load .\' strdir '\estsimdata_' sim_str{jj} '_' Tstr])
    tmp = fieldnames(Rslts_ig(1).MarginalDensity);
    for prr = 1 : 5
        for jj1 = 1 : length(tmp)
            
            eval(['ML_Decomp_ig(' num2str(jj1) ',' num2str(prr) ') = Rslts_ig(' num2str(prr) ').MarginalDensity.' tmp{jj1} ';'])
            eval(['ML_Decomp_n(' num2str(jj1) ',' num2str(prr) ') = Rslts_n(' num2str(prr) ').MarginalDensity.' tmp{jj1} ';'])
        end
    end
end


tmp_str = [{'0.05'}, {'0.1'}, {'0.2'}, {'0.3'}, {'0.4'}];
xlswrite('Laplace_Decomposition',crtcell(ML_Decomp_ig,tmp,tmp_str,{'Prior Location'}),'IG');
xlswrite('Laplace_Decomposition',crtcell(ML_Decomp_n,tmp,tmp_str,{'Prior Location'}),'N');